FUNCTION::TEXT_STRN(3stap)

NAME
function::text_strn - Escape any non-printable chars in a string

SYNOPSIS

    text_strn:string(input:string,len:long,quoted:long)

ARGUMENTS

input
    the string to escape

len
    maximum length of string to return (0 implies MAXSTRINGLEN)

quoted
    put double quotes around the string. If input string is truncated it will have “...” after the second quote

DESCRIPTION

This function accepts a string of designated length, and any ASCII characters that are not printable are replaced by the corresponding escape sequence in the returned string.

SEE ALSO
tapset::string(3stap)